Subject: Re: 2.6.39-rc2 boot crash

From: Eric B Munson <[email-masked]>
Date: Wed, 6 Apr 2011 17:20:41 -0400

On Wed, 06 Apr 2011, Dave Hansen wrote:

> On Wed, 2011-04-06 at 14:47 -0400, Eric B Munson wrote:
> > I am seeing a boot crash on my machine with 2.6.39-rc2.  I don't yet have
> > netconsole setup and I don't have serial so the best I can do at the moment
> > is a couple of pictures of the stack trace.
> > 
> > http://tinypic.com/r/2zsr19i/7
> > 
> > And 
> > 
> > http://tinypic.com/r/2iw22dj/7
> > 
> > I will try and get a net console working for better output, is there
> > anything else that would help?
> 
> This:
> 
> > boot_delay=     Milliseconds to delay each printk during boot.
> >                         Values larger than 10 seconds (10000) are changed to
> >                         no delay (0).
> >                         Format: integer
> 
> sometimes gives you enough time to get something out of the system.  You
> might also want to try and boot the same kernel in a VM.  It might just
> be a weird configuration issue, or maybe even a lockdep bug.  If it's
> not hardware related, booting in a VM should help a lot.
> 
> -- Dave
> 

A bisect points at commit 04f482faf50535229a5a5c8d629cf963899f857c for the
first bad one.  Unfortunately, I have not made netconsole work yet and the
hang is happening mostly right when X starts so I can't even see the console.
I will keep at the netconsole and see if I can get it functioning, also I will
try to boot this kernel in a VM and see if that helps.

Eric